List phone numbers
curl --request GET \
--url https://api.example.com/v1/phone-numbers/import requests
url = "https://api.example.com/v1/phone-numbers/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/phone-numbers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/phone-numbers/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/phone-numbers/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/phone-numbers/")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/phone-numbers/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"phone_numbers": [
{
"phone_number": "<string>",
"_id": "<string>",
"provider": "sip",
"friendly_name": "<string>",
"sip_termination_uri": "<string>",
"sip_trunk_username": "<string>",
"sip_trunk_password": "<string>",
"inbound_agent_id": "<string>",
"outbound_agent_id": "<string>",
"sip_infra_region": "<string>",
"sip_infra_zones": [
"<string>"
],
"call_concurrency": 2,
"max_concurrent_inbound_calls": 1,
"max_concurrent_outbound_calls": 1,
"expires": 2,
"advanced": {
"realm": "asterisk",
"ip": "1.2.3.4/24",
"prefix": "0",
"register": true
},
"availability_zones": [
"<string>"
],
"workspace_id": "<string>"
}
],
"next_page_token": "<string>"
}Phone Numbers
List phone numbers
Retrieve a paginated list of the phone numbers configured in your account.
Use page_size and page_token to page through the list.
By default only ACTIVE phone numbers are returned, sorted by creation time in ascending order.
GET
/
v1
/
phone-numbers
/
List phone numbers
curl --request GET \
--url https://api.example.com/v1/phone-numbers/import requests
url = "https://api.example.com/v1/phone-numbers/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/phone-numbers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/phone-numbers/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/phone-numbers/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/phone-numbers/")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/phone-numbers/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"phone_numbers": [
{
"phone_number": "<string>",
"_id": "<string>",
"provider": "sip",
"friendly_name": "<string>",
"sip_termination_uri": "<string>",
"sip_trunk_username": "<string>",
"sip_trunk_password": "<string>",
"inbound_agent_id": "<string>",
"outbound_agent_id": "<string>",
"sip_infra_region": "<string>",
"sip_infra_zones": [
"<string>"
],
"call_concurrency": 2,
"max_concurrent_inbound_calls": 1,
"max_concurrent_outbound_calls": 1,
"expires": 2,
"advanced": {
"realm": "asterisk",
"ip": "1.2.3.4/24",
"prefix": "0",
"register": true
},
"availability_zones": [
"<string>"
],
"workspace_id": "<string>"
}
],
"next_page_token": "<string>"
}Query Parameters
Number of phone numbers per page
Required range:
x >= 1Token from next_page_token of the previous response, to fetch the next page
Sort order by creation time
Available options:
asc, desc Filter by phone number status
Available options:
ACTIVE, INACTIVE, DELETED 
